:root {
	--r: 0;
	--g: 0;
	--b: 0;
}

* {
	box-sizing: border-box;
}

body {
	margin: 0;
	background: #eee;
	padding: 20px;
	display: flex;
	align-items: center;
	justify-content: center;
	height: 100vh;
}

.centro {
	background: #fff;
	padding: 20px;
	border-radius: 5px;
	box-shadow: 0 1px 3px rgba(0, 0, 0, 0.2);
	display: flex;
	align-items: stretch;
	flex-direction: column;
}

.cor {
	min-height: 280px;
	min-width: 380px;
	border-radius: 5px;
	background: rgb(var(--r), var(--g), var(--b));
	box-shadow: 0 1px 2px rgba(0, 0, 0, 0.1);
}

.sliders {
	margin-top: 10px;
	display: flex;
	flex-direction: column;
	justify-content: space-between;
}

.um-slider {
	display: flex;
	align-items: center;
	justify-content: space-between;
	margin-top: 10px;
}

.um-slider label {
	margin-right: 10px;
}

.um-slider input[type="number"] {
	width: 50px;
	margin-left: 10px;
}

.um-slider input[type="range"] {
	flex-grow: 1;
	-webkit-appearance: none;
}

#range-r::-webkit-slider-runnable-track {
	background: linear-gradient(
		to right,
		rgb(0, var(--g), var(--b)),
		rgb(255, var(--g), var(--b))
	);
}

#range-g::-webkit-slider-runnable-track {
	background: linear-gradient(
		to right,
		rgb(var(--r), 0, var(--b)),
		rgb(var(--r), 255, var(--b))
	);
}

#range-b::-webkit-slider-runnable-track {
	background: linear-gradient(
		to right,
		rgb(var(--r), var(--g), 0),
		rgb(var(--r), var(--g), 255)
	);
}

input:focus {
	outline: none;
}

input[type="range"]::-webkit-slider-thumb {
	-webkit-appearance: none;
	background: rgba(var(--r), var(--g), var(--b));
	border: 2px solid #fff;
	width: 14px;
	height: 14px;
	margin: -3px 0;
	border-radius: 50%;
	cursor: pointer;
}

.copia {
	width: 100%;
	margin-top: 10px;
	display: flex;
}

.copia input {
	flex-grow: 1;
	margin: 0;
	padding: 4px;
	border: 0;
	text-align: center;
}
